/*
Copyright 2023 The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

package pointer

import (
	"k8s.io/apimachinery/pkg/runtime"
	"k8s.io/apimachinery/pkg/runtime/schema"
)

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *Tpointer) DeepCopyInto(out *Tpointer) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	if in.BoolField != nil {
		in, out := &in.BoolField, &out.BoolField
		*out = new(bool)
		**out = **in
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Tpointer.
func (in *Tpointer) DeepCopy() *Tpointer {
	if in == nil {
		return nil
	}
	out := new(Tpointer)
	in.DeepCopyInto(out)
	return out
}

func (in *Tpointer) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *Ttest) DeepCopyInto(out *Ttest) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.NTP.DeepCopyInto(&out.NTP)
	if in.Tp != nil {
		in, out := &in.Tp, &out.Tp
		*out = new(Tpointer)
		(*in).DeepCopyInto(*out)
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Ttest.
func (in *Ttest) DeepCopy() *Ttest {
	if in == nil {
		return nil
	}
	out := new(Ttest)
	in.DeepCopyInto(out)
	return out
}

func (in *Ttest) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

func (in *Tpointer) GetObjectKind() schema.ObjectKind { return schema.EmptyObjectKind }
func (in *Ttest) GetObjectKind() schema.ObjectKind    { return schema.EmptyObjectKind }
